Public Member Functions
ShaderballOptions Class Reference

## Detailed Description

Represents the options for a shaderball view.

This object represents the options available to tweak the initial appearance of the shaderball node/window in the RenderTree. You can access this object via ShaderDef::GetShaderballOptions.

See also:
  ShaderDef::GetShaderballOptions

Since:
  9.0 (2011)

`#include <xsi_shaderballoptions.h>`

Inheritance diagram for ShaderballOptions:
[legend]

List of all members.

## Public Member Functions
| ShaderballOptions ()
| ~ShaderballOptions ()
| ShaderballOptions (const CRef &in_ref)
| ShaderballOptions (const ShaderballOptions &in_obj)
bool | IsA (siClassID in_ClassID) const
siClassID | GetClassID () const
ShaderballOptions & | operator= (const ShaderballOptions &in_obj)
ShaderballOptions & | operator= (const CRef &in_ref)
CString | GetDefaultBackground () const
CStatus | PutDefaultBackground (const CString &in_background)
CString | GetDefaultModel () const
CStatus | PutDefaultModel (const CString &in_model)
siShaderballDimension | GetDimension () const
CStatus | PutDimension (siShaderballDimension in_dimension)
bool | GetInit () const
CStatus | Reset ()
bool | GetShowByDefault () const
CStatus | PutShowByDefault (bool in_show)

## Constructor & Destructor Documentation

ShaderballOptions | ( |  | ) |

Default constructor.

~ShaderballOptions | ( |  | ) |

Default destructor.

ShaderballOptions | ( | const CRef & | in_ref | ) |

Constructor.

Parameters:

  in_ref | constant reference object.

ShaderballOptions | ( | const ShaderballOptions & | in_obj | ) |

Copy constructor.

Parameters:

  in_obj | constant class object.

## Member Function Documentation

bool IsA | ( | siClassID | in_ClassID | ) | const`[virtual]`

Returns true if a given class type is compatible with this API class.

Parameters:

  in_ClassID | class type.

Returns:
  true if the class is compatible, false otherwise.

Reimplemented from SIObject.

siClassID GetClassID | ( |  | ) | const`[virtual]`

Returns the type of the API class.

Returns:
  The class type.

Reimplemented from SIObject.

ShaderballOptions& operator= | ( | const ShaderballOptions & | in_obj | ) |

Creates an object from another object. The newly created object is set to empty if the input object is not compatible.

Parameters:

  in_obj | constant class object.

Returns:
  The new ShaderballOptions object.

ShaderballOptions& operator= | ( | const CRef & | in_ref | ) |

Creates an object from a reference object. The newly created object is set to empty if the input reference object is not compatible.

Parameters:

  in_ref | constant class object.

Returns:
  The new ShaderballOptions object.

Reimplemented from SIObject.

CString GetDefaultBackground | ( |  | ) | const

Returns the background to use by default.

Returns:
  the shaderball background name.

Since:
  9.0 (2011)

CStatus PutDefaultBackground | ( | const CString & | in_background | ) |

Sets the background to use.

Parameters:

  in_background | the shaderball background name.

Returns:
  Success/failure

Since:
  9.0 (2011)

CString GetDefaultModel | ( |  | ) | const

Returns the model to use for the shaderball by default.

Returns:
  the name of the model

See also:
  Model

Since:
  9.0 (2011)

CStatus PutDefaultModel | ( | const CString & | in_model | ) |

Sets the model to use for the shaderball by default.

Parameters:

  in_model | the name of the model

Returns:
  Success/failure

See also:
  Model

Since:
  9.0 (2011)

siShaderballDimension GetDimension | ( |  | ) | const

Returns one of the siShaderballDimension enum values that determines what dimensions the shaderball supports.

Returns:
  supported dimension

Since:
  9.0 (2011)

CStatus PutDimension | ( | siShaderballDimension | in_dimension | ) |

Sets one of the siShaderballDimension enum values that determines what dimensions the shaderball supports.

Parameters:

  in_dimension | supported dimension

Returns:
  Success/failure

Since:
  9.0 (2011)

bool GetInit | ( |  | ) | const

Indicates whether or not the shaderball was initialized.

Returns:
  true if it was initialized
  false otherwise

See also:
  ShaderballOptions::Reset

Since:
  9.0 (2011)

CStatus Reset | ( |  | ) |

Returns the shaderball options to the uninitialized state.

Returns:
  Success/failure

See also:
  ShaderballOptions::GetInit

Since:
  9.0 (2011)

bool GetShowByDefault | ( |  | ) | const

Returns a Boolean value describing whether or not to show the shaderball by default.

Returns:
  true to show the shaderball by default
  false otherwise

Since:
  9.0 (2011)

CStatus PutShowByDefault | ( | bool | in_show | ) |

Sets a Boolean value describing whether or not to show the shaderball by default.

Parameters:

  in_show | true to show the shaderball by default; false otherwise

Returns:
  Success/failure

Since:
  9.0 (2011)

The documentation for this class was generated from the following file:

- xsi_shaderballoptions.h